﻿using System.Collections.Generic;
using System.Web.UI;

namespace RH.WikiNavigation.DataClasses
{
    public class WikiDataDataSource : List<WikiData>, IHierarchicalEnumerable
    {
        public string Id { get; set; }

        #region IHierarchicalEnumerable Members

        // Returns a hierarchical data item for the specified enumerated item.
        public IHierarchyData GetHierarchyData(object enumeratedItem)
        {
            return enumeratedItem as IHierarchyData;
        }

        #endregion
    }
}